%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%define name dfimagetools
%define version 20220312
%define release 1

Summary:	Storage media image tools
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Source0:	%{name}-%{version}.tar.gz
License:	Apache License, Version 2.0
Group:		Development/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:	 	%{_prefix}
BuildArch: 	noarch
Vendor: 	Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Packager: 	Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Url:		https://github.com/log2timeline/dfimagetools
BuildRequires:	python%{python3_pkgversion}-devel, python%{python3_pkgversion}-setuptools

%description
Collection of tools to process storage media images.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Requires:	libbde-python3 >= 20220121
Requires:	libcreg-python3 >= 20200725
Requires:	libewf-python3 >= 20131210
Requires:	libfsapfs-python3 >= 20201107
Requires:	libfsext-python3 >= 20220112
Requires:	libfshfs-python3 >= 20220115
Requires:	libfsntfs-python3 >= 20211229
Requires:	libfsxfs-python3 >= 20220113
Requires:	libfvde-python3 >= 20220121
Requires:	libfwnt-python3 >= 20210717
Requires:	libluksde-python3 >= 20220121
Requires:	libmodi-python3 >= 20210405
Requires:	libphdi-python3 >= 20220110
Requires:	libqcow-python3 >= 20201213
Requires:	libregf-python3 >= 20180303
Requires:	libsigscan-python3 >= 20191221
Requires:	libsmdev-python3 >= 20140529
Requires:	libsmraw-python3 >= 20140612
Requires:	libvhdi-python3 >= 20201014
Requires:	libvmdk-python3 >= 20140421
Requires:	libvsgpt-python3 >= 20211115
Requires:	libvshadow-python3 >= 20160109
Requires:	libvslvm-python3 >= 20160109
Requires:	python3-artifacts >= 20220219
Requires:	python3-cffi >= 1.9.1
Requires:	python3-cryptography >= 2.0.2
Requires:	python3-dfdatetime >= 20211113
Requires:	python3-dfvfs >= 20220121
Requires:	python3-dfwinreg >= 20201002
Requires:	python3-dtfabric >= 20170524
Requires:	python3-idna >= 2.5
Requires:	python3-pytsk3 >= 20210419
Requires:	python3-pyxattr >= 0.7.2
Requires:	python3-pyyaml >= 3.10
Summary:	Python 3 module of Storage media image tools

%description -n python%{python3_pkgversion}-%{name}
Collection of tools to process storage media images.
%endif

%package -n %{name}-tools
Requires:	python%{python3_pkgversion}-dfimagetools >= %{version}
Summary:	Tools for Storage media image tools

%description -n %{name}-tools
Collection of tools to process storage media images.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfimagetools
%{python3_sitelib}/dfimagetools*.egg-info
%endif

%files -n %{name}-tools
%{_bindir}/*.py

%changelog
* Sat Mar 12 2022 log2timeline development team <log2timeline-dev@googlegroups.com> 20220312-1
- Auto-generated
